#
# spec file for package gnome-mime-data
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-mime-data
BuildRequires:  db-devel
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  gtk2-devel
BuildRequires:  indent
BuildRequires:  intltool
BuildRequires:  libidl-devel
BuildRequires:  libxml2-devel
BuildRequires:  orbit2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Provides:       %{name}-devel = %{version}-%{release}
Version:        2.18.0
Release:        165.1
Summary:        MIME Type and Application Database for the GNOME 2.x Desktop
License:        GPL-2.0+
Group:          System/GUI/GNOME
Source:         http://download.gnome.org/sources/%{name}/2.18/%{name}-%{version}.tar.bz2
Patch:          mozilla-call.dif
Patch1:         %{name}-2.4.3-apps.patch
Patch2:         gnome-mime-data-more-apps.patch
Patch3:         gnome-mime-data-realplay.patch
Patch4:         gnome-mime-data-ooo.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This module contains the base MIME and application database for GNOME.
It is meant to be accessed through the MIME functions in GNOMEVFS.



%prep
%setup -q 
translation-update-upstream
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/application-registry
%{_datadir}/mime-info
%{_datadir}/pkgconfig/gnome-mime-data-2.0.pc
%config %{_sysconfdir}/gnome-vfs-mime-magic

%changelog
* Fri Mar 29 2013 dimstar@opensuse.org
- Use full URL for source
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Dec  3 2009 vuntz@opensuse.org
- Rebase gnome-mime-data-more-apps.patch to apply without fuzz.
* Mon Apr  6 2009 vuntz@novell.com
- Respin gnome-mime-data-ooo.patch that doesn't apply with new
  patch package.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Jan 31 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Thu Mar  6 2008 maw@suse.de
- Don't run autoreconf.
* Tue Jul 31 2007 sbrabec@suse.cz
- Package undropped (#251043#c2).
- Updated to version 2.18.0:
  * install the pkgconfig file in $(datadir)
- Package deprecated mime-info and application-registry again.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.4.3
* Fri Jan  5 2007 sbrabec@suse.cz
- No more support GNOME1-style mime-info and application-registry.
* Wed Dec 13 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Mar 27 2006 sbrabec@suse.cz
- Build as noarch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 sbrabec@suse.cz
- Don't create KDE links (#85839).
* Mon Nov 22 2004 gekker@suse.de
- Update to version 2.4.2
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Sep  6 2004 hhetter@suse.de
- remove Firefox mime and vfs patches for SULi 9.2
- default to epiphany
* Wed Sep  1 2004 dave@suse.de
- Changed defaults from epiphany to firefox.
* Wed Sep  1 2004 shprasad@suse.de
- Modified the string 'Web Browser' to 'Firefox Web Browser'.
* Tue Aug 31 2004 sagarwal@suse.de
- modified gnome-vfs.applications to replace the string firerox
  with Web-Browser
* Sat Aug 28 2004 sagarwal@suse.de
- Added firefox in the firefox in the gnome-vfs.applications and
  changed gnome-vfs.keys.in to make firefox as the default application
  for text/html. All these to make firefox as the default NLD browser.
* Thu Aug 26 2004 mmichael@suse.de
- Marked OO.o up as a handler for wordperfect files, pwrt
  application/wordperfect mime-type
- Marked OO.o as capable of handling VFS uris.
* Tue Aug 24 2004 dave@suse.de
- Changed handler for media types to realplayer, ximian bug #61007
- Removed epiphany as a bittorrent handler, ximian bug #62078
* Thu Aug  5 2004 clahey@suse.de
- Changed smil handler to RealPlayer.
* Tue Jul  6 2004 jody@suse.de
- Add a few more application preferences.  This is a mess.  It should get
  broken into smaller chunks
- ggv, gedit, openoffice, acroreader, eog, epiphany, realplayer
* Wed Jun  2 2004 mibarra@suse.de
- Call OpenOffice with the correct binary name.
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 2.4.1 [GNOME 2.4.2]
- adapt KDE Office application patch
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Oct 20 2003 ro@suse.de
- run autotools manually
* Fri Oct  3 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep  8 2003 sbrabec@suse.cz
- Call OpenOffice and KOffice properly (bug #30276).
* Mon Sep  8 2003 sbrabec@suse.cz
- Open ducuments with GNOME2 branches of GIMP and AbiWord by default.
* Thu Jul 24 2003 hhetter@suse.de
- %%_lib fixes
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 19 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
- Fixed neededforbuild, Requires and directory packaging.
* Sat Jun  7 2003 coolo@suse.de
- add symlink so KDE finds the icons
* Tue Feb 25 2003 hhetter@suse.de
- register mozilla with the --url option (#23790)
* Mon Feb 10 2003 hhetter@suse.de
- updated to version 2.2.0 [GNOME 2.2.0]
* Mon Oct 21 2002 sbrabec@suse.cz
- Update to version 2.0.1.
- Updated %%files.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Jun 14 2002 hhetter@suse.de
- updated to version 2.0.0
* Wed May 29 2002 hhetter@suse.de
- udpated to mime type database 1.0.8
- added document pixmap directory
* Tue May 14 2002 ro@suse.de
- move pkgconfig file to correct libdir
* Tue Apr  9 2002 hhetter@suse.de
- update to version 1.0.6 [gnome desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.0.2 [gnome desktop alpha2]
- removed no longer needed patch for build
* Thu Jan 17 2002 hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan  9 2002 hhetter@suse.de
- added gnome-common to #neededforbuild
* Tue Jan  8 2002 hhetter@suse.de
- initial SuSE Release for GNOME 2.0 platform
